Gcc 특정 버전 설치 방법좀 알려주세요

현재 제 우분투 gcc 버전은 4.6 버전입니다.

그런데 gcc 4.4 버전이 필요하게 되어서 추가로 설치하고 싶은데

어떻게 해야하나요?

저도 안해봐서 확실치는 않습니다만, 기본적인 원리로서 생각해보면,
일단, 질문자님이 보편적인 리눅스소스코드 설치방식인 configure->make->make install 을 해본적있다 가정하고…
1)configure 에서 옵션으로 prefix가 설치될 디렉토리입니다.
2)make하고 make install로서 빌드및 설치를 완료합니다.
3)gcc 4.4버전의 실행파일을 실행해서 컴파일혹은 빌드를 하면 될겁니다.
확실치 않습니다. 안돼면 어쩔수 없음…

[quote="february28":2yr0vr60]저도 안해봐서 확실치는 않습니다만, 기본적인 원리로서 생각해보면,
일단, 질문자님이 보편적인 리눅스소스코드 설치방식인 configure->make->make install 을 해본적있다 가정하고…
1)configure 에서 옵션으로 prefix가 설치될 디렉토리입니다.
2)make하고 make install로서 빌드및 설치를 완료합니다.
3)gcc 4.4버전의 실행파일을 실행해서 컴파일혹은 빌드를 하면 될겁니다.
확실치 않습니다. 안돼면 어쩔수 없음…[/quote:2yr0vr60]

답변갑사합니다~~

저는 alternatives 로 설치했습니다. 그런데 잘 설치됐는지는 모르겠네여 ㅎㅎ